/***************************************************************************
                          gtkmessagebox.h  -  Dialog box replacing the 
													                  gnome_messagebox widget
                             -------------------
    begin                : Sat Dec 7 2002
    copyright            : (C) 2002 by Dominique Laigle
    email                : liobadom@internet.lu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GTK_MESSAGE_BOX_H
#define GTK_MESSAGE_BOX_H

#include <config.h>

#include <string.h>
#include <gtk/gtk.h>
#include <gtkimlibpixmap.h>

enum { FIRST_MESSAGE_TYPE, 
       GTK_MESSAGE_INFO, GTK_MESSAGE_WARNING, GTK_MESSAGE_ERROR, 
       LAST_MESSAGE_TYPE };

gint gtk_message_box( gint, gchar *, gboolean );

#endif /* GTK_MESSAGE_BOX_H */
