/***************************************************************************
                          guigobancx.h

    A small widget to display the respective stones captured in the game
                             -------------------
    begin                : Wed Sep 19 2001
    copyright            : (C) 2001 by Dominique Laigle
    email                : liobadom@internet.lu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUIGOBANCX_H
#define GUIGOBANCX_H

#include <stdio.h>
#include <gtk/gtk.h>
#include <gdk_imlib.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define GUI_GOBAN_CX(obj)		             ( GTK_CHECK_CAST( (obj), gui_goban_cx_get_type(), GuiGobanCx) )
#define GUI_GOBAN_CX_CLASS(klass)	       ( GTK_CHECK_CLASS_CAST( (klass), GTK_TYPE_GUI_GOBAN_CX, GuiGobanCxClass) )
#define GTK_IS_GUI_GOBAN_CX(obj)		     ( GTK_CHECK_TYPE( (obj), gui_goban_cx_get_type() ) )
#define GTK_IS_GUI_GOBAN_CX_CLASS(klass) ( GTK_CHECK_CLASS_TYPE( (klass), gui_goban_cx_get_type()) )

typedef struct _GuiGobanCx	      GuiGobanCx;
typedef struct _GuiGobanCxClass   GuiGobanCxClass;

struct _GuiGobanCx
{
  GtkWidget widget;

  gushort whites_counter,
          blacks_counter;
};

struct _GuiGobanCxClass
{
  GtkWidgetClass parent_class;
};

/* Methods of the Interface */

GtkType	   gui_goban_cx_get_type(void);
GtkWidget* gui_goban_cx_new(void);

void gui_goban_cx_reset( GuiGobanCx * );
void gui_goban_cx_set_white_counter( GuiGobanCx *, gushort );
void gui_goban_cx_set_black_counter( GuiGobanCx *, gushort );

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* GUIGOBANCX_H */
